Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3750)
@@ -1283,6 +1283,7 @@
 				else if (f.getType().isAssignableFrom(File.class)) {
 					value = this.getFileParameterValue(key);
 				}
+				
 				// FIXME: test to automate other type creation as Property => problem here is that org.txm.core doesn't know the plug-in org.txm.searchengine.cqp.core
 				// could be done using reflection. Get the field runtime class, then get and call the constructor
 				// else if (f.getType().isAssignableFrom(Property.class)) {
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3750)
@@ -37,6 +37,8 @@
 import java.net.MalformedURLException;
 import java.util.ArrayList;
 import java.util.Arrays;
+import java.util.Collections;
+import java.util.Comparator;
 import java.util.Date;
 import java.util.HashMap;
 import java.util.HashSet;
@@ -926,10 +928,18 @@
 					
 					// write the <text> elements
 					
-					for (Text t : this.getTexts()) {
+					ArrayList<Text> texts = new ArrayList<Text>(this.getTexts());
+					Collections.sort(texts, new Comparator<Text>() {
+
+						@Override
+						public int compare(Text o1, Text o2) {
+							return o1.getName().compareTo(o2.getName());
+						}
+					});
+					
+					for (Text t : texts) {
 						Element elementT = bp.addText(corpusElem, t.getName(), t.getSource());
 						
-						
 						for (Edition e : t.getEditions()) {
 							Element elementE = bp.addEdition(elementT, e.getName(), e.getHtmlDir().getPath(), "html");
 							for (int i = 0; i < e.getNumPages(); i++) {
@@ -941,11 +951,11 @@
 					
 					// write the <preBuild>, <partition> and <subcorpus> elements
 					for (CorpusBuild corpus : this.getChildren(CorpusBuild.class)) {
+						corpus.getImportMetadata();
 						
-						writeSubcorpusandPartitionsInOldBaseParameters(corpus, corpusElem, bp);
+						BaseOldParameters.writeSubcorpusandPartitionsInOldBaseParameters(corpus, corpusElem, bp);
 					}
 					
-					
 					bp.getKeyValueParameters().put("lang", this.getLang());
 					
 					bp.save();
@@ -1048,28 +1058,6 @@
 		return false;
 	}
 	
-	private void writeSubcorpusandPartitionsInOldBaseParameters(CorpusBuild corpus, Element corpusElem, BaseOldParameters bp) {
-		
-		for (Partition p : corpus.getChildren(Partition.class)) {
-			
-			String[] queries = new String[p.getParts().size()];
-			String[] names = new String[p.getParts().size()];
-			int i = 0;
-			for (CorpusBuild part : p.getParts()) {
-				names[i] = part.getName();
-				queries[i] = part.getStringParameterValue(TBXPreferences.QUERY);
-				i++;
-			}
-			bp.addPartition(corpusElem, p.getSimpleName(), queries, names);
-		}
-		
-		for (CorpusBuild s : corpus.getChildren(CorpusBuild.class)) {
-			Element e = bp.addSubcorpus(corpusElem, s.getSimpleName(), s.getStringParameterValue(TBXPreferences.QUERY), "");
-			
-			writeSubcorpusandPartitionsInOldBaseParameters(s, e, bp);
-		}
-	}
-
 	/**
 	 * Gets the base directory.
 	 *
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Partition.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Partition.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Partition.java	(revision 3750)
@@ -27,6 +27,8 @@
 //
 package org.txm.objects;
 
+import java.util.List;
+
 import org.txm.core.results.TXMResult;
 
 /**
@@ -62,4 +64,6 @@
 	public boolean isInternalPersistable() {
 		return true;
 	}
+	
+	public abstract List<? extends org.txm.objects.CorpusBuild> getParts();
 }
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/CorpusBuild.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 3750)
@@ -528,6 +528,7 @@
 	// }
 	
 	/**
+	 * 
 	 * Gets the import metadata.
 	 *
 	 * @return the import metadata
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/BaseOldParameters.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/BaseOldParameters.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/BaseOldParameters.java	(revision 3750)
@@ -18,6 +18,7 @@
 
 import org.eclipse.osgi.util.NLS;
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TBXPreferences;
 import org.txm.utils.logger.Log;
 import org.txm.utils.xml.DomUtils;
 import org.w3c.dom.*;
@@ -124,6 +125,34 @@
 		System.out.println(p.toString());
 	}
 	
+	/**
+	 * fill the preBuild Element given a Corpus or subcorpus object and its XML Element 
+	 * @param corpus
+	 * @param corpusElem
+	 * @param bp
+	 */
+	public static void writeSubcorpusandPartitionsInOldBaseParameters(CorpusBuild corpus, Element corpusElem, BaseOldParameters bp) {
+		
+		for (Partition p : corpus.getChildren(Partition.class)) {
+			
+			String[] queries = new String[p.getParts().size()];
+			String[] names = new String[p.getParts().size()];
+			int i = 0;
+			for (CorpusBuild part : p.getParts()) {
+				names[i] = part.getName();
+				queries[i] = part.getStringParameterValue(TBXPreferences.QUERY);
+				i++;
+			}
+			bp.addPartition(corpusElem, p.getSimpleName(), queries, names);
+		}
+		
+		for (CorpusBuild s : corpus.getChildren(CorpusBuild.class)) {
+			Element e = bp.addSubcorpus(corpusElem, s.getSimpleName(), s.getStringParameterValue(TBXPreferences.QUERY), "");
+			
+			writeSubcorpusandPartitionsInOldBaseParameters(s, e, bp);
+		}
+	}
+	
 	public HashMap<String, Element> getCorpora() {
 		return corpora;
 	}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 3749)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 3750)
@@ -20,7 +20,7 @@
 advanced=Advanced
 advancedUserMode=Advanced user mode
 allCriteria=All criteria (&&)
-AllEditorsUsingThisCorpusWillBeClosedandtheCorpusWillBeUpdatedContinue=All this corpus results will be closed and the corpus will be updated.  Continue?
+AllEditorsUsingThisCorpusWillBeClosedandtheCorpusWillBeUpdatedContinue=All this corpus resul windows will be closed and the corpus will be updated. Continue?
 alwaysSaveBeforeLaunching=Always save before launching
 ampContextsDisplayOptions=&Contexts display options
 ampMultipleSort=&Multiple Sort
@@ -307,7 +307,7 @@
 forceLoggin=Enabling all logs…
 common_all=all
 allTexts=all the texts
-withModifications=texts with modifications
+withModifications=modified
 corpusToProcess=Cospus to process
 textsToProcess=Texts to process
 form=Form
@@ -555,6 +555,7 @@
 SelectTheSourceDirectory=Select the source texts folder
 selectValuesToAssignColon=Select the values to assign\: 
 selectWorkingDirectory=Working folder
+selectEngine=Select engine
 separatedByAtLeast0Word=may be separated by some words
 separatedByAtLeast1Word=separated by some words
 separatorCharacters=Separator characters
@@ -567,7 +568,7 @@
 showExportResultInTheTextEditor=Show the result of the export in a text editor
 showHiddenFiles=Show hidden files
 showHideCommandParameters=Show/Hide command parameters
-ShowMoreUpdateParametersBeforeUpdating=Set more update parameters
+ShowMoreUpdateParametersBeforeUpdating=Modify update parameters
 simple=Simple
 SomeAnnotationsAreNotSaved=Some annotations have not been saved
 SomeAnnotationsAreNotSavedAndWillBeLostAfterTXMIsClosed=Some annotations have not been saved and will be lost if TXM is closed\:
@@ -697,8 +698,8 @@
 updateDone=Update done.
 UpdateEditionsWhenUpdatingACorpus=Update editions when updating a corpus
 updateLevel=Update level
-UpdateP0P1Import=Update of {0} ({1} import scheme)
-UpdateParametersForTheP0ImportModule=Update parameters for the {0} import module
+UpdateP0P1Import=Update of {0} ({1} import)
+UpdateParametersForTheP0ImportModule=Update parameters of the {0} import module
 UpdateSiteAddress=Update site address
 UpdateSiteIsNotReachableP0P1Aborting=Update site is not reachable ({0})\: {1}. Aborting.
 UpdateTheCorpusFromItsXMLTXMFiles=Update the corpus from its XML-TXM files
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 3749)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 3750)
@@ -20,7 +20,7 @@
 advanced=Avancé
 advancedUserMode=Mode avancé
 allCriteria=Tous les critères ensembles (&&)
-AllEditorsUsingThisCorpusWillBeClosedandtheCorpusWillBeUpdatedContinue=Tous les résultats de ce corpus seront fermés et le corpus sera mis à jour.  Continuer ?
+AllEditorsUsingThisCorpusWillBeClosedandtheCorpusWillBeUpdatedContinue=Toutes les fenêtres de résultat de ce corpus seront fermés et le corpus sera mis à jour. Continuer ?
 alwaysSaveBeforeLaunching=Toujours enregistrer avant de lancer
 ampContextsDisplayOptions=Options d'affichage des &contextes
 ampMultipleSort=&Tri multiple
@@ -308,7 +308,7 @@
 forceLoggin=Activation de tous les journaux...
 common_all=tous
 allTexts=tous les textes
-withModifications=ceux avec des modifications
+withModifications=modifiés
 corpusToProcess=Cospus à traiter
 textsToProcess=Textes à traiter
 form=Forme
@@ -562,13 +562,14 @@
 setDefaultTheme=Définir le thème par défaut
 setImportParametersInTheSectionsBelow=Régler les paramètres d'import dans les sections ci-dessous.
 settingStatusLineAndConfiguringActionSets=Récupération de la ligne de statut et réglage des menus et barres d'outils
+selectEngine=Choisir le moteur
 shouldNotHappen=Ne devrait pas se produire
 ShowADialogBoxWhenASevereErrorOccurs=Afficher une boîte de dialogue lorsqu'une erreur grave se produit
 showAllResultNodesInCorporaView=Afficher tous les noeuds de résultats dans la vue Corpus
 showExportResultInTheTextEditor=Afficher le résultat de l'export dans un éditeur de texte
 showHiddenFiles=Afficher les fichiers cachés
 showHideCommandParameters=Afficher/Masquer les paramètres de commande
-ShowMoreUpdateParametersBeforeUpdating=Définir plus de paramètres de mise à jour
+ShowMoreUpdateParametersBeforeUpdating=Modifier les paramètres de mise à jour
 simple=Simple
 SomeAnnotationsAreNotSaved=Certaines annotations n'ont pas été sauvegardées
 SomeAnnotationsAreNotSavedAndWillBeLostAfterTXMIsClosed=Certaines annotations n'ont pas été sauvegardées et seront perdues si TXM est fermé \:
@@ -698,8 +699,8 @@
 updateDone=Mise à jour terminée.
 UpdateEditionsWhenUpdatingACorpus=Mettre à jour les éditions lors de la mise à jour d'un corpus
 updateLevel=Niveau de mise à jour
-UpdateP0P1Import=Mise à jour de {0} (schéma d''import {1})
-UpdateParametersForTheP0ImportModule=Mise à jour des paramètres pour le module d''import {0}
+UpdateP0P1Import=Mise à jour de {0} (import {1})
+UpdateParametersForTheP0ImportModule=Mise à jour des paramètres du module d''import {0}
 UpdateSiteAddress=Adresse du site de mises à jour
 UpdateSiteIsNotReachableP0P1Aborting=Le site de mises à jour n''est pas accessible ({0}) \: {1}. Abandon.
 UpdateTheCorpusFromItsXMLTXMFiles=Mise à jour du corpus à partir de ses fichiers XML-TXM
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3750)
@@ -1496,6 +1496,8 @@
 	public static String pageProperties;
 
 	public static String textLanguage;
+
+	public static String selectEngine;
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3750)
@@ -79,6 +79,7 @@
 import org.txm.rcp.editors.imports.sections.WordsSection;
 import org.txm.rcp.handlers.scripts.ExecuteImportScript;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.utils.SWTEditorsUtils;
 import org.txm.rcp.views.fileexplorer.Explorer;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -90,70 +91,70 @@
  * set corpus parameters
  */
 public class CorpusPage extends FormPage {
-	
+
 	private static String lastOpenedSrcDir;
-	
+
 	ImportFormEditor editor;
-	
+
 	ScrolledForm form;
-	
+
 	FormToolkit toolkit;
-	
+
 	HashMap<String, Boolean> moduleParams; // the import sections configuration depends on the import module selected
-	
+
 	// All the sections that populate the import parameter file
 	Section pattrSection;
-	
+
 	Section preBuildSection;
-	
+
 	Section querySection;
-	
+
 	Section sattrSection;
-	
+
 	ImportEditorSection uiSection;
-	
+
 	ImportEditorSection xsltSection;
-	
+
 	ImportEditorSection tokenizerSection;
-	
+
 	ImportEditorSection editionSection;
-	
+
 	ImportEditorSection encodingSection;
-	
+
 	ImportEditorSection fontSection;
-	
+
 	ImportEditorSection infosSection;
-	
+
 	ImportEditorSection langSection;
-	
+
 	ImportEditorSection textualPlansSection;
-	
+
 	ImportEditorSection structuresSection;
-	
+
 	ImportEditorSection optionsSection;
-	
+
 	/**
 	 * Import module custom import section, see ImportModuleCustomization.getAdditionalSection(name)
 	 */
 	ImportEditorSection additionalSection;
-	
+
 	// old widgets to be moved/deleted
 	TableViewer preBuildViewer;
-	
+
 	TreeViewer preBuildViewer2;
-	
+
 	TableViewer queriesViewer;
-	
+
 	TableViewer sattributesViewer;
-	
+
 	TableViewer editionsViewer;
-	
+
 	TableViewer viewer;
-	
+
 	TableViewer pattributesViewer;
-	
+
 	//private Project project;
-	
+
 	/**
 	 * Instantiates a new main page.
 	 *
@@ -164,31 +165,31 @@
 		super(editor, TXMUIMessages.parameters, TXMUIMessages.parameters);
 		this.editor = editor;
 	}
-	
+
 	private int createEditionsSection() {
 		editionSection = new EditionSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE, moduleParams, editor.getImportName());
 		return editionSection.getSectionSize();
 	}
-	
+
 	private int createEmptyCell() {
 		Label l = toolkit.createLabel(form.getBody(), "", SWT.NONE); //$NON-NLS-1$
 		TableWrapData td = new TableWrapData();
 		td.colspan = 1;
 		l.setLayoutData(td);
-		
+
 		return 1;
 	}
-	
+
 	private int createEncodingSection() {
 		encodingSection = new EncodingSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return encodingSection.getSectionSize();
 	}
-	
+
 	private int createFontSection() {
 		fontSection = new FontSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return fontSection.getSectionSize();
 	}
-	
+
 	/*
 	 * (non-Javadoc)
 	 * @see org.eclipse.ui.forms.editor.FormPage#createFormContent(org.eclipse.ui.forms.IManagedForm)
@@ -200,47 +201,47 @@
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.numColumns = 2;
 		layout.makeColumnsEqualWidth = false;
-		
+
 		form.getBody().setLayout(layout);
-		
+
 		createToolbar();
-		
+
 		String importName = editor.getImportName();
 		moduleParams = ImportModuleCustomization.getParameters(importName);
-		
+
 		// CREATE THE SECTIONS
 		int N_SECTIONS = 0;
 		N_SECTIONS += createInfosSection(); // mandatory
-		
+
 		if (moduleParams.get(ImportModuleCustomization.ENCODING)) {
 			N_SECTIONS += createEncodingSection();
 		}
-		
+
 		if (moduleParams.get(ImportModuleCustomization.LANG)) {
 			N_SECTIONS += createLangSection();
 		}
-		
+
 		if (moduleParams.get(ImportModuleCustomization.WORDS)) {
 			N_SECTIONS += createTokenizerSection();
 		}
-		
+
 		if (moduleParams.get(ImportModuleCustomization.XSLT)) {
 			if (N_SECTIONS % 2 != 0) { // needs 2 cells to draw
 				N_SECTIONS += createEmptyCell();
 			}
 			N_SECTIONS += createFrontXSLTSection();
 		}
-		
+
 		if (moduleParams.get(ImportModuleCustomization.EDITIONS_PAGEELEMENT) || moduleParams.get(ImportModuleCustomization.EDITIONS_WORDSPERPAGE)) {
 			N_SECTIONS += createEditionsSection();
 		}
-		
+
 		N_SECTIONS += createFontSection();
-		
+
 		if (moduleParams.get(ImportModuleCustomization.UI)) {
 			N_SECTIONS += createUIsSection();
 		}
-		
+
 		if (moduleParams.get(ImportModuleCustomization.TEXTUALPLANS)) {
 			N_SECTIONS += createTextualPlansSection();
 		}
@@ -250,52 +251,52 @@
 		if (moduleParams.get(ImportModuleCustomization.OPTIONS)) {
 			N_SECTIONS += createOptionsSection();
 		}
-		
+
 		N_SECTIONS += createAdditionalSection();
-		
+
 		// END OF SECTIONS CREATION, ENSURE THAT THE NUMBER OF CELL is %2
 		if (N_SECTIONS % 2 != 0) N_SECTIONS += createEmptyCell();
-		
+
 		// create notes messages
 		Label separatorLabel = toolkit.createLabel(form.getBody(), "", SWT.SEPARATOR | SWT.HORIZONTAL); //$NON-NLS-1$
 		TableWrapData gdata = new TableWrapData(TableWrapData.FILL_GRAB, TableWrapData.MIDDLE, 2, 1);
 		gdata.colspan = 2;
 		separatorLabel.setLayoutData(gdata);
-		
+
 		Label mandatoryLabel = toolkit.createLabel(form.getBody(), TXMUIMessages.dDotMandatoryField, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE, 2, 1);
 		gdata.colspan = 2;
 		mandatoryLabel.setLayoutData(gdata);
-		
+
 		form.layout(true);
 		managedForm.reflow(true);
-		
+
 		if (editor.project != null) { // the project is already set, all the select sources widget are disable
 			initializeProjectSettings();
 		}
 	}
-	
+
 	private int createTextualPlansSection() {
 		textualPlansSection = new TextualPlansSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return textualPlansSection.getSectionSize();
 	}
-	
+
 	private int createStructuresSection() {
 		structuresSection = new StructuresSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return structuresSection.getSectionSize();
 	}
-	
+
 	private int createOptionsSection() {
 		optionsSection = new OptionsSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return optionsSection.getSectionSize();
 	}
-	
+
 	private int createAdditionalSection() {
 		String importName = editor.getImportName();
-		
+
 		if (ImportModuleCustomization.getAdditionalSection(importName) != null) {
 			Class<? extends ImportEditorSection> clazz = ImportModuleCustomization.getAdditionalSection(importName);
-			
+
 			try {
 				Constructor<? extends ImportEditorSection> c = clazz.getConstructor(ImportFormEditor.class, FormToolkit.class, ScrolledForm.class, Composite.class, int.class);
 				additionalSection = c.newInstance(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
@@ -307,12 +308,12 @@
 		}
 		return 0;
 	}
-	
+
 	private int createInfosSection() {
 		infosSection = new InfosSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return infosSection.getSectionSize();
 	}
-	
+
 	/**
 	 * Creates the front xslt section.
 	 */
@@ -320,7 +321,7 @@
 		xsltSection = new FrontXSLSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return xsltSection.getSectionSize();
 	}
-	
+
 	/**
 	 * Creates the lang section.
 	 */
@@ -328,7 +329,7 @@
 		langSection = new LangSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return langSection.getSectionSize();
 	}
-	
+
 	private void createPAttributesSection() {
 		/*
 		 * pattrSection = toolkit.createSection(form.getBody(), ExpandableComposite.TITLE_BAR|ExpandableComposite.TWISTIE);
@@ -414,7 +415,7 @@
 		 * }
 		 */
 	}
-	
+
 	private void createPreBuildSection() {
 		/*
 		 * preBuildSection = toolkit.createSection(form.getBody(), ExpandableComposite.TITLE_BAR|ExpandableComposite.TWISTIE);
@@ -560,7 +561,7 @@
 		 * }
 		 */
 	}
-	
+
 	private void createQueriesSection() {
 		/*
 		 * querySection = toolkit.createSection(form.getBody(), ExpandableComposite.TITLE_BAR|ExpandableComposite.TWISTIE);
@@ -635,7 +636,7 @@
 		 * }
 		 */
 	}
-	
+
 	private void createSAttributesSection() {
 		/*
 		 * sattrSection = toolkit.createSection(form.getBody(), ExpandableComposite.TITLE_BAR|ExpandableComposite.TWISTIE);
@@ -722,7 +723,7 @@
 		 * }
 		 */
 	}
-	
+
 	/**
 	 * Creates the tokenizer section.
 	 */
@@ -730,18 +731,18 @@
 		tokenizerSection = new WordsSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE, moduleParams);
 		return tokenizerSection.getSectionSize();
 	}
-	
+
 	private void createToolbar() {
 		Composite hyperlinks = toolkit.createComposite(form.getBody());
 		TableWrapData gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
 		gdata.colspan = 2;
 		hyperlinks.setLayoutData(gdata);
-		
+
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.numColumns = 5;
 		layout.makeColumnsEqualWidth = false;
 		hyperlinks.setLayout(layout);
-		
+
 		Label titleLabel = toolkit.createLabel(hyperlinks, "", SWT.WRAP); //$NON-NLS-1$
 		titleLabel.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.TOP));
 
@@ -750,15 +751,15 @@
 		} else {
 			titleLabel.setText(NLS.bind(TXMUIMessages.UpdateParametersForTheP0ImportModule, ImportModuleCustomization.getName(editor.getImportName())));
 		}
-		
+
 		FontData[] fD = titleLabel.getFont().getFontData();
 		fD[0].setHeight(16);
 		titleLabel.setFont(new Font(titleLabel.getDisplay(), fD[0]));
-		
+
 		HyperlinkAdapter selectDirHListener = null;
 		if (editor.project == null) {
 			selectDirHListener = new HyperlinkAdapter() {
-				
+
 				@Override
 				public void linkActivated(HyperlinkEvent e) {
 					// System.out.println("Opening...");
@@ -766,9 +767,9 @@
 				}
 			};
 		}
-		
+
 		HyperlinkAdapter saveHListener = new HyperlinkAdapter() {
-			
+
 			@Override
 			public void linkActivated(HyperlinkEvent e) {
 				if (editor.project != null) {
@@ -779,9 +780,9 @@
 				}
 			}
 		};
-		
+
 		HyperlinkAdapter startImportListener = new HyperlinkAdapter() {
-			
+
 			@Override
 			public void linkActivated(HyperlinkEvent e) {
 				// System.out.println("Starting...");
@@ -796,9 +797,9 @@
 				}
 			}
 		};
-		
+
 		HyperlinkAdapter editImporScriptstListener = new HyperlinkAdapter() {
-			
+
 			@Override
 			public void linkActivated(HyperlinkEvent e) {
 				String scriptPath = editor.getImportName();
@@ -807,7 +808,7 @@
 				Explorer.open(scriptDir);
 			}
 		};
-		
+
 		if (editor.project == null) {
 			ImageHyperlink openImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
 			openImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
@@ -815,28 +816,29 @@
 			openImportLink.setToolTipText("Select the import source directory");
 			openImportLink.addHyperlinkListener(selectDirHListener);
 		}
-		
+
 		ImageHyperlink saveImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
 		saveImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
 		saveImportLink.setImage(IImageKeys.getImage(IImageKeys.SAVE));
-		saveImportLink.setToolTipText("Save the improt parameter");
+		saveImportLink.setToolTipText("Save parameters");
 		saveImportLink.addHyperlinkListener(saveHListener);
-		
+
 		ImageHyperlink startImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
 		startImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
 		startImportLink.setImage(IImageKeys.getImage(IImageKeys.START));
-		startImportLink.setToolTipText("Start the import");
+		startImportLink.setToolTipText("Start import");
 		startImportLink.addHyperlinkListener(startImportListener);
-		
-		ImageHyperlink scriptImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
-		scriptImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
-		scriptImportLink.setImage(IImageKeys.getImage(IImageKeys.SCRIPT));
-		scriptImportLink.setToolTipText("Show the import Groovy scripts");
-		scriptImportLink.addHyperlinkListener(editImporScriptstListener);
-		
+
+		if (RCPPreferences.getInstance().getBoolean(RCPPreferences.EXPERT_USER)) {
+			ImageHyperlink scriptImportLink = toolkit.createImageHyperlink(hyperlinks, SWT.NULL);
+			scriptImportLink.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE));
+			scriptImportLink.setImage(IImageKeys.getImage(IImageKeys.SCRIPT));
+			scriptImportLink.setToolTipText("Show module scripts");
+			scriptImportLink.addHyperlinkListener(editImporScriptstListener);
+		}
 		int n = 1;
 		if (editor.project == null) {
-			
+
 			Composite line1 = toolkit.createComposite(form.getBody());
 			gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
 			gdata.colspan = 2;
@@ -845,7 +847,7 @@
 			hLayout.center = true;
 			line1.setLayout(hLayout);
 			toolkit.createLabel(line1, ""+(n++)+".", SWT.WRAP); //$NON-NLS-1$ //$NON-NLS-2$
-			
+
 			Hyperlink hyperlink1 = toolkit.createHyperlink(line1, TXMUIMessages.selectTheSourceDirectory, SWT.WRAP);
 			hyperlink1.addHyperlinkListener(selectDirHListener);
 
@@ -853,7 +855,7 @@
 			openImportLink2.setImage(IImageKeys.getImage(IImageKeys.FOLDER));
 			openImportLink2.addHyperlinkListener(selectDirHListener);
 		}
-		
+
 		Composite line2 = toolkit.createComposite(form.getBody());
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
 		gdata.colspan = 2;
@@ -863,7 +865,7 @@
 		line2.setLayout(hLayout);
 		toolkit.createLabel(line2, ""+(n++)+".", SWT.WRAP); //$NON-NLS-1$ //$NON-NLS-2$
 		toolkit.createLabel(line2, TXMUIMessages.setImportParametersInTheSectionsBelow, SWT.WRAP);
-		
+
 		Composite line4 = toolkit.createComposite(form.getBody());
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
 		gdata.colspan = 2;
@@ -877,21 +879,21 @@
 			hyperlink3.setText(TXMUIMessages.StartCorpusUpdate);
 		}
 		hyperlink3.addHyperlinkListener(startImportListener);
-		
+
 		ImageHyperlink startImportLink2 = toolkit.createImageHyperlink(line4, SWT.NULL);
 		startImportLink2.setImage(IImageKeys.getImage(IImageKeys.START));
 		startImportLink2.addHyperlinkListener(startImportListener);
-//		
-//		ImageHyperlink scriptImportLink2 = toolkit.createImageHyperlink(line4, SWT.NULL);
-//		scriptImportLink2.setImage(IImageKeys.getImage(IImageKeys.SCRIPT));
-//		scriptImportLink2.addHyperlinkListener(editImporScriptstListener);
+		//		
+		//		ImageHyperlink scriptImportLink2 = toolkit.createImageHyperlink(line4, SWT.NULL);
+		//		scriptImportLink2.setImage(IImageKeys.getImage(IImageKeys.SCRIPT));
+		//		scriptImportLink2.addHyperlinkListener(editImporScriptstListener);
 	}
-	
+
 	private int createUIsSection() {
 		uiSection = new CommandsSection(editor, toolkit, form, form.getBody(), ExpandableComposite.TITLE_BAR | ExpandableComposite.TWISTIE);
 		return uiSection.getSectionSize();
 	}
-	
+
 	/**
 	 * Called by "selectSourceDir".
 	 * Theparameter file is read to fill the section fields.
@@ -901,10 +903,10 @@
 	 * @throws IOException
 	 */
 	public void loadParams() throws ParserConfigurationException, SAXException, IOException {
-		
+
 		Log.fine(NLS.bind(TXMUIMessages.moduleUIParametersColonP0, moduleParams));
 		this.setPartName(editor.getImportName());
-		
+
 		if (infosSection != null && !infosSection.isDisposed()) {
 			infosSection.setEnabled(true);
 			infosSection.update(editor.project);
@@ -941,22 +943,22 @@
 			textualPlansSection.setEnabled(true);
 			textualPlansSection.update(editor.project);
 		}
-		
+
 		if (structuresSection != null && !structuresSection.isDisposed()) {
 			structuresSection.setEnabled(true);
 			structuresSection.update(editor.project);
 		}
-		
+
 		if (optionsSection != null && !optionsSection.isDisposed()) {
 			optionsSection.setEnabled(true);
 			optionsSection.update(editor.project);
 		}
-		
+
 		if (additionalSection != null && !additionalSection.isDisposed()) {
 			additionalSection.setEnabled(true);
 			additionalSection.update(editor.project);
 		}
-		
+
 		/*
 		 * if (sattrSection != null && !sattrSection.isDisposed()) {
 		 * sattrSection.setEnabled(true);
@@ -975,7 +977,7 @@
 		 * }
 		 */
 	}
-	
+
 	/**
 	 * Called by "startImport". Save the field values in the Parameter file
 	 * 
@@ -983,20 +985,20 @@
 	 */
 	public boolean saveConfig() {
 		Log.info(TXMUIMessages.savingImportParameters);
-		
+
 		if (editor.project == null || editor.project.getRCPProject() == null || !editor.project.getRCPProject().exists()) {
 			Log.warning(TXMUIMessages.TheCorpushasBeenDeletedSincePleaseReOpenTheImportForm);
 			this.getEditor().close(false);
 			return false;
 		}
-		
+
 		// params.rootDir = project.getSrcdir().getAbsolutePath();
 		// project.scriptFile = editor.getGroovyScript().getName();
-		
+
 		// params.getCorpusElement().setAttribute("name", params.name); //$NON-NLS-1$
 		// params.getCorpusElement().setAttribute("desc", params.description); //$NON-NLS-1$
 		// params.getCorpusElement().setAttribute("cqpid", params.name.toUpperCase()+new Date().getTime()); //$NON-NLS-1$
-		
+
 		// TEST ALL SECTIONS
 		boolean doSave = true;
 		if (infosSection != null && !infosSection.isDisposed()) {
@@ -1039,7 +1041,7 @@
 			System.out.println(TXMUIMessages.SomeFieldsAreNotCorrectlyFilled);
 			return false;
 		}
-		
+
 		// SAVE ALL SECTIONS
 		boolean successfulSave = true;
 		if (infosSection != null && !infosSection.isDisposed()) {
@@ -1078,7 +1080,7 @@
 		if (additionalSection != null && !additionalSection.isDisposed()) {
 			successfulSave = successfulSave & additionalSection.save(editor.project);
 		}
-		
+
 		if (successfulSave) {
 			try {
 				editor.project.save();
@@ -1087,40 +1089,40 @@
 			catch (Exception e1) {
 				org.txm.utils.logger.Log.printStackTrace(e1);
 			}
-			
+
 			return true;
 		}
 		System.out.println(TXMUIMessages.ErrorWhileSavingParameters);
 		return false;
-		
+
 	}
-	
+
 	/**
 	 * Called by the "folder" button
 	 */
 	public void selectSourceDir() {
-		
+
 		ImportWizard wiz = new ImportWizard();
 		WizardDialog wdialog = new WizardDialog(this.getEditor().getSite().getShell(), wiz);
 		wdialog.open();
-		
+
 		editor.project = wiz.getProject();
-		
+
 		initializeProjectSettings();
 	}
-	
+
 	private void initializeProjectSettings() {
-		
+
 		if (editor.project == null) {
 			// System.out.println("Error: no project created");
 			return;
 		}
-		
+
 		editor.project.setImportModuleName(editor.getImportName());
-		
+
 		try {
 			loadParams();
-			
+
 			this.editor.getMetaPage().reload();
 			this.editor.firePropertyChange(IEditorPart.PROP_TITLE);
 		}
@@ -1128,7 +1130,7 @@
 			org.txm.utils.logger.Log.printStackTrace(e1);
 		}
 	}
-	
+
 	public void startImport() {
 		// TODO: test all sections here
 		editor.project.setDirty();
@@ -1137,7 +1139,7 @@
 		} else {
 			editor.project.setDoUpdate(false, false);
 			editor.project.setNeedToBuild();
-			
+
 			if (editor.project.getChildren().size() > 0) {
 				boolean b = MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), TXMUIMessages.warning, NLS.bind(TXMUIMessages.theP0CorpusDirectoryAlreadyExistsDoYouWantToReplaceIt, editor.project.getName()));
 				if (!b) {
@@ -1145,15 +1147,15 @@
 					return;
 				}
 			}
-			
+
 			SWTEditorsUtils.closeEditors(editor.project, true);
-			
+
 			ExecuteImportScript.executeScript(editor.project);
 		}
-		
-		
+
+
 	}
-	
+
 	// private void updateEditionsSection() {
 	//
 	// }
@@ -1224,8 +1226,8 @@
 		if (editor.project.getSrcdir() == null) return null;
 		return editor.project.getSrcdir().getAbsolutePath();
 	}
-	
-//	public Project getProject() {
-//		return project;
-//	}
+
+	//	public Project getProject() {
+	//		return project;
+	//	}
 }
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 3750)
@@ -69,7 +69,11 @@
 	
 	@Override
 	public void updateFields(Project project) {
-		section.setText(NLS.bind(TXMUIMessages.descriptionOfTheP0CorpusP1, project.getName(), project.getSrcdir()));
+		if (project.getSrcdir().exists()) {
+			section.setText(NLS.bind(TXMUIMessages.descriptionOfTheP0CorpusP1, project.getName(), project.getSrcdir()));
+		} else {
+			section.setText(NLS.bind(TXMUIMessages.descriptionOfTheP0CorpusP1, project.getName(), "..."));
+		}
 		
 		String descContent = project.getDescription();
 		descContent = descContent.replace("<pre><br/>", ""); //$NON-NLS-1$ //$NON-NLS-2$
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedChoiceQueryWidget.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedChoiceQueryWidget.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedChoiceQueryWidget.java	(revision 3750)
@@ -125,15 +125,15 @@
 		if (SearchEnginePreferences.getInstance().getBoolean(SearchEnginePreferences.SHOW_SEARCH_ENGINES)) {
 
 			settingsButton = new Button(this, SWT.PUSH);
-			settingsButton.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, false, false));
-			settingsButton.setImage(IImageKeys.getImage(IImageKeys.ACTION_SEARCH_SETTINGS));
+			settingsButton.setLayoutData(new GridData(GridData.CENTER, GridData.CENTER, false, false));
+			settingsButton.setImage(IImageKeys.getImage("platform:/plugin/org.eclipse.jface/org/eclipse/jface/dialogs/images/popup_menu.png"));
 			settingsButton.setToolTipText("Query options");
 			settingsButton.addSelectionListener(new SelectionListener() {
 
 				@Override
 				public void widgetSelected(SelectionEvent e) {
 
-					QueryOptionsDialog dialog = new QueryOptionsDialog(e.display.getActiveShell(), corpus, engines, querywidget.getSearchEngine()); //$NON-NLS-1$
+					QueryOptionsDialog dialog = new QueryOptionsDialog(settingsButton, corpus, engines, querywidget.getSearchEngine()); //$NON-NLS-1$
 					if (dialog.open() == ComboDialog.OK) {
 						SearchEngine se = dialog.getSelectedEngine();
 						if (se != null && !se.getName().equals(querywidget.getSearchEngine().getName())) {
@@ -184,7 +184,7 @@
 		setMagicEnabled("CQP".equals(se.getName()) || "CQP".equals(se.getOptionForSearchengine())); //$NON-NLS-1$
 
 		String defaultEngineName = SearchEnginePreferences.getInstance().getString(SearchEnginePreferences.DEFAULT_SEARCH_ENGINE);
-		if (defaultEngineName.equals(se.getName())) {
+		if (defaultEngineName.equals(se.getName()) || defaultEngineName.equals(se.getOptionForSearchengine())) {
 			selectedEngineLabel.setText(""); //$NON-NLS-1$
 		}
 		else if (se.getOptionNameForSearchengine() != null)  {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryOptionsDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryOptionsDialog.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryOptionsDialog.java	(revision 3750)
@@ -40,15 +40,18 @@
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.graphics.Point;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Group;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Shell;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.provider.SimpleLabelProvider;
 import org.txm.searchengine.core.SearchEngine;
 import org.txm.searchengine.core.SearchEnginesManager;
@@ -80,9 +83,6 @@
 	/** The default value. */
 	private SearchEngine defaultValue;
 	
-	/** The title. */
-	private String title;
-	
 	CQPCorpus corpus;
 	List<SearchEngine> engines;
 	
@@ -90,17 +90,17 @@
 
 	private Label selectOptionsLabel;
 
-	private Button noneOption;
-
 	private Group optionsGroup;
 	
-	public QueryOptionsDialog(Shell parentShell, CQPCorpus corpus, List<SearchEngine> engines2, SearchEngine defaultValue) {
-		super(parentShell);
+	private Button button;
+	public QueryOptionsDialog(Button settingsButton, CQPCorpus corpus, List<SearchEngine> engines2, SearchEngine defaultValue) {
+		super(settingsButton.getDisplay().getActiveShell());
 		
+		this.button = settingsButton;
 		this.corpus = corpus;
 		this.engines = engines2;
-		this.parentShell = parentShell;
-		this.setShellStyle(this.getShellStyle());
+		this.parentShell = settingsButton.getDisplay().getActiveShell();
+		this.setShellStyle(SWT.NONE | SWT.APPLICATION_MODAL);
 		
 		this.values = new ArrayList<SearchEngine>();
 		for (SearchEngine se : engines2) {
@@ -117,7 +117,6 @@
 			}
 		}
 		this.defaultValue = defaultValue;
-		this.title = "Query options";
 	}
 
 	/* (non-Javadoc)
@@ -126,20 +125,37 @@
 	@Override
 	protected void configureShell(Shell newShell) {
 		super.configureShell(newShell);
-		newShell.setText(title);
-		newShell.setSize(400, 400);
+		
+		//newShell.addListener( SWT.Deactivate, event -> newShell.close() ); // don't work when the combo opens its menu
+		
+		newShell.setSize(400, 300);
+				
+		newShell.setLocation(Display.getCurrent().map(button, null, 0,button.getSize().y));
+		//newShell.setLocation(button.getLocation().x, button.getLocation().y + button.getSize().y);
+		//System.out.println("L: "+button.getLocation());
+		//newShell.setBounds(button.setL().x, button.getBounds().y, 400, 400);
 	}
 	
 	@Override
+	protected Point getInitialLocation(Point initialSize) {
+		return new Point(500,200);
+	}
+
+	
+	@Override
 	protected boolean isResizable() {
 	    return true;
 	}
 
+	Composite p;
 	/* (non-Javadoc)
 	 * @see org.eclipse.jface.dialogs.Dialog#createDialogArea(org.eclipse.swt.widgets.Composite)
 	 */
 	@Override
 	protected Control createDialogArea(Composite p) {
+		
+		this.p = p;
+		
 		//System.out.println(p.getLayout());
 		GridLayout layout = (GridLayout) p.getLayout();
 		layout.verticalSpacing = 5;
@@ -149,7 +165,7 @@
 		layout.marginRight = 5;
 		
 		Label l = new Label(p, SWT.NONE);
-		l.setText("Select between the following engines");
+		l.setText(TXMUIMessages.selectEngine);
 		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.CENTER, false, false, 1, 1));
 		combo = new ComboViewer(new Combo(p, SWT.READ_ONLY | SWT.SINGLE));
 		combo.getCombo().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false, 1, 1));
@@ -180,23 +196,24 @@
 		combo.setContentProvider(new ArrayContentProvider());
 		combo.setInput(values);
 		
+		if (defaultValue != null) {
+			selectValue(defaultValue);
+		}
 		
 		optionsGroup = new Group(p, SWT.BORDER);
 		optionsGroup.setLayout(new GridLayout(1, true));
-		optionsGroup.setText("Options");
+		optionsGroup.setText(TXMUIMessages.Options);
 		optionsGroup.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true, 1, 1));
 		
-		noneOption = new Button(optionsGroup, SWT.RADIO);
-		
-		if (defaultValue != null) {
-			selectValue(defaultValue);
-		}
-		
-		
 		updateOptions();
 		
 		return p;
 	}
+	
+//	@Override
+//	public Control createButtonBar(Composite parentShell) {
+//		return null;
+//	}
 
 	public void updateOptions() {
 		
@@ -208,22 +225,24 @@
 			return; // nothing to do
 		}
 		
-		for (Control c : optionsGroup.getChildren()) {
-			c.dispose();
+		if (optionsGroup != null) {
+			for (Control c : optionsGroup.getChildren()) {
+				c.dispose();
+			}
 		}
 		
-		noneOption = new Button(optionsGroup, SWT.RADIO);
-		noneOption.setText("No option");
-		noneOption.setSelection(true);
+		selectedEngine = (SearchEngine)o;
 		
-		selectedEngine = (SearchEngine)o;
 		if (options.containsKey(selectedEngine.getName())) {
+			
+			GridData data = ((GridData)optionsGroup.getLayoutData());
+
 			for (final SearchEngine se : options.get(selectedEngine.getName())) {
-				Button option = new Button(optionsGroup, SWT.RADIO);
-				option.setText(se.getOptionNameForSearchengine()+ " : " + se.getOptionDescriptionForSearchengine());
+				
+				Button option = new Button(optionsGroup, SWT.CHECK);
+				option.setText(se.getOptionNameForSearchengine()+ " : " + se.getOptionDescriptionForSearchengine()); //$NON-NLS-1$
 				if (se.equals(defaultValue)) {
 					option.setSelection(true);
-					noneOption.setSelection(false);
 					selectedEngine = defaultValue;
 				}
 				
@@ -231,7 +250,13 @@
 					
 					@Override
 					public void widgetSelected(SelectionEvent e) {
-						selectedEngine = se;
+						
+						Button b = (Button)e.widget;
+						if (b.getSelection()) {
+							selectedEngine = se;
+						} else {
+							selectedEngine = (SearchEngine) combo.getStructuredSelection().getFirstElement();
+						}
 					}
 					
 					@Override
@@ -239,8 +264,15 @@
 				});
 				
 			}
+			
+			
 		}
 		optionsGroup.layout();
+		
+		
+		//this.getShell().redraw();
+		//this.getShell().pack();
+		//this.getShell().layout(true);
 	}
 	
 	/**
@@ -266,7 +298,7 @@
 			if (optionedengine != null) {
 				combo.setSelection(new StructuredSelection(optionedengine));
 			} else {
-				System.out.println("ERROR: engine not found: "+e.getOptionForSearchengine());
+				System.out.println("ERROR: engine not found: "+e.getOptionForSearchengine()); //$NON-NLS-1$
 			}
 		}
 	}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueDialog.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueDialog.java	(revision 3750)
@@ -109,8 +109,9 @@
 	 */
 	@Override
 	protected void okPressed() {
-		for (String name : values.keySet())
+		for (String name : values.keySet()) {
 			values.put(name, widgets.get(name).getText());
+		}
 		super.okPressed();
 	}
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/SinglePropertySelectionDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/SinglePropertySelectionDialog.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/SinglePropertySelectionDialog.java	(revision 3750)
@@ -35,11 +35,8 @@
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.MouseAdapter;
 import org.eclipse.swt.events.MouseEvent;
-import org.eclipse.swt.events.SelectionAdapter;
-import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
-import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Shell;
@@ -48,7 +45,6 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.VirtualProperty;
 
-// TODO: Auto-generated Javadoc
 /**
  * The dialog box called to select the view properties.
  * 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 3750)
@@ -63,6 +63,8 @@
 import org.txm.core.engines.EnginesManager;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TBXPreferences;
+import org.txm.core.results.TXMParameters;
+import org.txm.functions.CommandsAPI;
 import org.txm.objects.Project;
 import org.txm.objects.Workspace;
 import org.txm.rcp.commands.workspace.Load080BinaryCorpus;
@@ -444,7 +446,10 @@
 			System.err.println("No target path parameter provided. Ex: corpus path /VOEUX , concordance name /VOEUX/myconc");
 			ret = -1;
 		} else {
-			System.out.println("DO: "+name+ " WITH "+path);
+			System.out.println("CALL: "+name+ " WITH "+path);
+			CommandsAPI api = new CommandsAPI();
+			api.call(name, Workspace.getResult(path), new TXMParameters());
+					
 		}
 		return ret;
 	}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroTreeLabelProvider.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroTreeLabelProvider.java	(revision 3749)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroTreeLabelProvider.java	(revision 3750)
@@ -90,6 +90,14 @@
 		}
 	}
 	
+	@Override
+	public void dispose() {
+		if (imageTable != null) {
+			for (ImageDescriptor k : imageTable.keySet()) {
+				imageTable.get(k).dispose();
+			}
+		}
+	}
 	/*
 	 * (non-Javadoc)
 	 * @see org.eclipse.jface.viewers.LabelProvider#getImage(java.lang.Object)
